Bug 1274909 - docker ftbfs in boltdb on s390x
docker ftbfs in boltdb on s390x
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: docker (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2015-10-23 15:55 EDT by Marcin Juszkiewicz
Modified: 2017-05-16 13:13 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-16 13:13:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
boltdb/bolt patch adding aarch64 definitions (817 bytes, patch)
2015-10-23 15:57 EDT, Marcin Juszkiewicz
no flags Details | Diff
boltdb/bolt patch moving maxAllocSize to architecture files (1.30 KB, patch)
2015-10-23 15:57 EDT, Marcin Juszkiewicz
no flags Details | Diff
local version of "moving maxAllocSize" patch (1.97 KB, patch)
2015-10-23 15:58 EDT, Marcin Juszkiewicz
no flags Details | Diff

  None (edit)
Description Marcin Juszkiewicz 2015-10-23 15:55:39 EDT
Description of problem:

Docker fails to build on aarch64. Took a look and code snapshot used lacks some aarch64 patches.

Upstream revision 503413c0153839f5f316579d99c4bf1f09fa023f (from boltdb/bolt) adds aarch64 definitions. But they need 349dacfd44d5dbe9119075391751c0bcb62fff75 (same repo) revision (with several other to get them in line probably - I hand edited this one to get further with build).

Then it fails:

# github.com/docker/docker/api/server
_build/src/github.com/docker/docker/api/server/credentials_linux.go:71:17: error: reference to undefined identifier 'syscall.GetsockoptUcred'
  return syscall.GetsockoptUcred(fd, syscall.SOL_SOCKET, syscall.SO_PEERCRED)
                 ^
_build/src/github.com/docker/docker/api/server/credentials_linux.go:71:2: error: not enough arguments to return
  return syscall.GetsockoptUcred(fd, syscall.SOL_SOCKET, syscall.SO_PEERCRED)
  ^


Version-Release number of selected component (if applicable):

docker-1.9.0-9.gitc743657.fc24.src.rpm

How reproducible:

always

Steps to Reproduce:
1. do build on aarch64 (arm-koji)

Actual results:

fails

Expected results:

builds
Additional info:
Comment 1 Marcin Juszkiewicz 2015-10-23 15:57 EDT
Created attachment 1085926 [details]
boltdb/bolt patch adding aarch64 definitions
Comment 2 Marcin Juszkiewicz 2015-10-23 15:57 EDT
Created attachment 1085927 [details]
boltdb/bolt patch moving maxAllocSize to architecture files
Comment 3 Marcin Juszkiewicz 2015-10-23 15:58 EDT
Created attachment 1085928 [details]
local version of "moving maxAllocSize" patch
Comment 4 Daniel Walsh 2015-10-24 06:06:07 EDT
Are these patches getting merged upstream?
Comment 5 Marcin Juszkiewicz 2015-10-24 14:51:38 EDT
Daniel: those patches are taken from upstream repo of boltdb/bolt.
Comment 6 Daniel Walsh 2015-10-26 10:22:52 EDT
I am looking for those to get merged into docker.
Comment 7 Jakub Čajka 2015-11-25 03:58:54 EST
Still affects Fedora23 branch on s390x and aarch64. Seems fixed in rawhide.
Comment 8 Daniel Walsh 2015-12-01 16:50:18 EST
We are building docker-1.10-devel in rawhide.
Comment 9 Daniel Walsh 2016-02-22 14:26:46 EST
Fixed in docker-1.10.
Comment 10 Jan Kurik 2016-02-24 08:52:04 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 11 Fedora Admin XMLRPC Client 2016-06-08 10:10:48 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.